Page MenuHomePhabricator

RESTBase beta release (revision storage / content API)
Closed, ResolvedPublic

Description

Tracker bug for things that need to be done before RESTBase can be relied on in production, primarily by VE.

Related Objects

Event Timeline

GWicke updated the task description. (Show Details)
GWicke raised the priority of this task from to Normal.
GWicke added a project: RESTBase.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 6:52 PM
GWicke renamed this task from First RESTBase prod release to RESTBase v0 prod release.Feb 13 2015, 6:59 PM
GWicke claimed this task.
GWicke set Security to None.
GWicke edited subscribers, added: Eloquence, ori, greg and 3 others; removed: Aklapper.
mobrovac moved this task from Backlog to Ready / next on the RESTBase board.Feb 13 2015, 7:00 PM

T88016 (Handle read access for private wikis) is not absolutely needed for the first production use of RESTBase, as we can continue using the existing Parsoid API for private wikis for a while at the cost of some performance on those wikis.

GWicke raised the priority of this task from Normal to High.Feb 20 2015, 3:11 AM
bd808 added a subscriber: bd808.Feb 20 2015, 3:31 AM
GWicke updated the task description. (Show Details)Feb 24 2015, 9:11 PM
GWicke updated the task description. (Show Details)
GWicke removed a project: RESTBase-release-1.0.

Do we have a rough ETA for this, would like to add it to Roadmap.

Eloquence moved this task from Unscheduled to March 2015: Platform on the Roadmap board.
Eloquence renamed this task from RESTBase v0 prod release to RESTBase v0 prod release (revision storage / content API).Mar 5 2015, 9:02 PM

@Eloquence, we deployed support for all 280 wikipedias last night (see list), and storage for current revisions is being filled as we speak.

VE / MW integration (T89066) and page updates (T87520) are both on track. I expect us to be testing with VE on test.wikipedia.org next week, after which we can start a gradual roll-out by wiki.

greg moved this task from March 2015: Platform to March 9-13 on the Roadmap board.Mar 6 2015, 7:01 PM
greg added a comment.Mar 9 2015, 11:30 PM

My understanding from the update this morning during the Ops meeting was that this is now done, right? What happened to the blocking tasks?

greg added a comment.Mar 12 2015, 8:03 PM

My understanding from the update this morning during the Ops meeting was that this is now done, right? What happened to the blocking tasks?

Ping, also, it's Thursday on the week that this was asked to be scheduled during. :)

@greg, we're good, it's out :) We're currently testing some more T87520 , but all of the things have been successfully deployed. Job updates are working for the most part, as well the integration with VE. We're currently testing them on testwiki, but plan to expand to group0 these days. So you can cross RESTBase off of your list!

The remaining blocking tasks should be thought of as reminders rather than blockers.

We are still finishing up some things (notably expanding change tracking to all wikis along with switching VE over on more wikis), but the primary roll-out has certainly happened. VE has been working great out of the box using RESTBase on https://test.wikipedia.org/.

The remaining tasks are being finished up / worked on. We can re-parent them & close this task if you prefer.

greg added a comment.Mar 12 2015, 8:53 PM

The remaining tasks are being finished up / worked on. We can re-parent them & close this task if you prefer.

A) "re-parent" is a great phrase
B) yes please :) just because this task is in the Roadmap project and I think it's "done" and served it's need.

As of now RESTBase

  • has the latest revisions of all wikipedias and phase0 wikis,
  • processes updates from those wikis, and
  • is successfully used by VisualEditor on all phase0 wikis.

This means that RESTBase is now in production, and we can close this ticket.

The follow-up tasks for further monitoring improvements and beta labs testing will be addressed separately.

GWicke closed this task as Resolved.Mar 13 2015, 1:33 AM
GWicke renamed this task from RESTBase v0 prod release (revision storage / content API) to RESTBase beta release (revision storage / content API).Mar 13 2015, 4:17 AM
Restricted Application added a project: Notice. · View Herald TranscriptOct 3 2015, 1:34 AM